/* $Id: settings.h,v 1.3 2008/02/04 11:42:36 maxim Exp $
 *
 */

#ifndef SETTINGS_H
#define SETTINGS_H


#include "configure.h"


#define FAILED 0
#define OK     1

#define FALSE  0
#define TRUE   1

#define NO     0
#define YES    1

#define OFF    0
#define ON     1

#define SHORT_STR   32
#define NORM_STR    80
#define MEDIUM_STR  256
#define LONG_STR    1024
#define HUGE_STR    (16*1024)

#define PATH_LEN    256

#define SHORT_TEXT  1024
#define MEDIUM_TEXT (8*1024)
#define LARGE_TEXT  (64*1024)
#define HUGE_TEXT   (128*1024)

#define BLOCK_SIZE   4096
#define BUFFER_SIZE  4088

#ifndef ROOT
#define ROOT "/var/0W"
#endif
#define CONF ROOT "/conf"
#define DATA ROOT "/data"
#define CMD  ROOT "/cmd"
#define LOGS ROOT "/logs"
#define TMP  ROOT "/tmp"
#define PIDS DATA "/pids"
#define TMPL DATA "/templates"
#define WWW  ROOT "/www"
#define HTML WWW  "/data"

#define RN "\r\n"

#endif

